Announcement

Collapse
No announcement yet.

Unable to connect with Administrative Tool @ v3.5.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Unable to connect with Administrative Tool @ v3.5.1

    Hello, didn't find any relative topic, so start this.

    Ubuntu v16.04 (x64)
    I have runnning properly MC-server v3.5.1 (in docker from openjdk image)
    OpenJDK 8

    http://localhost:8080 and https://localhost:8443 are working well.
    Also I can auth to Web Dashboard.

    But when i trying to run downloaded `jnlp` file error occure: Check server running...

    And if i install Java 8 from Oracle (instead of OpenJDK) everything work properly: administrative tool can authorize and connect and load UI.

    What is problem about? Maybe it's about untrusted selfsigned SSL certs?
    Is it possible to detect whats wrong?

  • #2
    Mirth Connect does not support OpenJDK, only the official Oracle JRE.

    Containerization is a tricky topic, I'd definitely suggest reading the Oracle Binary Code License Agreement so that you know what you are and aren't legally allowed to do when distributing the official Oracle JRE/JDK.
    Step 1: JAVA CACHE...DID YOU CLEAR ...wait, ding dong the witch is dead?

    Nicholas Rupley
    Work: 949-237-6069
    Always include what Mirth Connect version you're working with. Also include (if applicable) the code you're using and full stacktraces for errors (use CODE tags). Posting your entire channel is helpful as well; make sure to scrub any PHI/passwords first.


    - How do I foo?
    - You just bar.

    Comment


    • #3
      @narupley Many thanks for reply!

      I'm not very familiar with java ecosystem but мy docker image with MC-server 3.5.1 created `FROM openjdk:8` (use this prototype and with replace FROM section and version)

      $> docker exec -it mirthconnect_mirth-connect_1 java -version
      openjdk version "1.8.0_141"
      OpenJDK Runtime Environment (build 1.8.0_141-8u141-b15-1~deb9u1-b15)
      OpenJDK 64-Bit Server VM (build 25.141-b15, mixed mode)

      As you can see server used OpenJDK-version and confirmed that it work's.
      Problems only with Administrative Tools UI connection.
      ---

      You are right about license. It's the core of my question. =\
      We are planning used MC management via API (with swagger-php-client), but at developed phase and probably at some support function Administrative UI Tool will be very helpful.

      MirthConnect really great product (thanks!) and it's free and it successfully run on free openJDK. Unfortunately Administrative UI Tool support only via Oracle JRE. So as i can realized that using this part of product in medical production is not free? Am i right? Or some misunderstading there with my poor java familiar experience?

      Comment

      Working...
      X